Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.change_vision.jude.api.inf.model
Interface IInteractionUse

    com.change_vision.jude.api.inf.model.IInteractionUse

All Superinterfaces:
  IElement, IEntity, IHyperlinkOwner, IInteractionFragment, INamedElement

All Implemented Interfaces:
  IElement, IEntity, IHyperlinkOwner, IInteractionFragment, INamedElement

    public IInteractionUse

extends IInteractionFragment

Interface for Interaction uses.

Field Summary

Fields inherited from class com.change_vision.jude.api.inf.model.INamedElement
`PACKAGE_VISIBILITY, PRIVATE_VISIBILITY, PROTECTED_VISIBILITY, PUBLIC_VISIBILITY`

Method Summary
`abstract String` | `getArgument()` Get Argument.
`abstract ILifeline` | `getContainer()` Get parent Lifeline.
`abstract ILifeline[]` | `getContainers()` Get all parent Lifelines.
`abstract IGate[]` | `getGates()` Get Gates.
`abstract ILifeline[]` | `getLifelines()` Get Lifelines.
`abstract ISequenceDiagram` | `getSequenceDiagram()` Get Sequence diagram.

Methods inherited from class com.change_vision.jude.api.inf.model.INamedElement
`getAlias1, getAlias2, getClientDependencies, getClientRealizations, getClientUsages, getConstraints, getDefinition, getDiagrams, getName, getSupplierDependencies, getSupplierRealizations, getSupplierUsages, isPackageVisibility, isPrivateVisibility, isProtectedVisibility, isPublicVisibility, setAlias1, setAlias2, setDefinition, setName, setVisibility`

Methods inherited from class com.change_vision.jude.api.inf.model.IElement
`addStereotype, getComments, getContainer, getContainers, getId, getOwner, getPresentations, getStereotypes, getTaggedValues, getTypeModifier, isReadOnly, removeStereotype, setTypeModifier`

Methods inherited from class com.change_vision.jude.api.inf.model.IHyperlinkOwner
`createElementHyperlink, createFileHyperlink, createURLHyperlink, deleteHyperlink, getHyperlinks`

Method Detail

### getSequenceDiagram

    abstract ISequenceDiagram getSequenceDiagram()

  Get Sequence diagram.

  Returns:
    Sequence diagram.

### getArgument

    abstract String getArgument()

  Get Argument.

  Returns:
    Argument.

### getGates

    abstract IGate[] getGates()

  Get Gates.

  Returns:
    Gates.

### getLifelines

    abstract ILifeline[] getLifelines()

  Get Lifelines.

  Returns:
    Lifelines.

### getContainer

    abstract ILifeline getContainer()

  Get parent Lifeline.

  Returns:
    Lifelines.

### getContainers

    abstract ILifeline[] getContainers()

  Get all parent Lifelines.

  Returns:
    Lifelines.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD